<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Listeners;

use App\Events\SysLogEvent;
use App\Services\SysLogService;
use Illuminate\Contracts\Queue\ShouldQueue;

class SysLogListener
{

    /**
     * Handle the event.
     *
     * @param  \App\Events\SysLogEvent  $event
     */
    public function handle(SysLogEvent $event)
    {
        app(SysLogService::class)->addSysLog($event->request);
    }
}
