<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSysLogTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sys_log', function (Blueprint $table) {
            $table->id();
            $table->string('path')->comment('请求路径');
            $table->string('ip')->comment('请求ip');
            $table->longText('content')->comment('请求内容');
            $table->string('type')->comment('请求类型');
            $table->timestamp('date')->comment('请求时间');
            $table->unsignedTinyInteger('create_by')->comment('创建人');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sys_log');
    }
}
