<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run()
    {
        //$this->call(PermissionsSeeder::class);

        if (app()->environment() === 'local') {
            $this->call(AdminUsersSeeder::class);
            $this->call(MenusSeeder::class);
            $this->call(RolesSeeder::class);
            $this->call(PermissionsSeeder::class);
        }
    }
}
