<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Criteria;

use Illuminate\Database\Eloquent\Builder;
use App\Repositories\Criteria\Criteria; 

class BhSorderRefundCriteria extends Criteria
{
    protected function condition(Builder $query): void
    {
        if($this->request->has('type')){
            $query->where('type', '=', $this->request->get('type'));
        }
    }

    protected function after($model)
    {
        $model->orderbyDesc('id');
        return $model;
    }
}
