<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services;

use App\Repositories\Contracts\SysLogRepository;
use App\Repositories\Enums\ResponseCodeEnum;
use App\Support\Traits\Helpers;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Spatie\Permission\Models\Role;
use Symfony\Component\HttpKernel\Exception\UnauthorizedHttpException;

use App\Repositories\Models\AdminUsers;
use Tymon\JWTAuth\Exceptions\TokenInvalidException;

class SysLogService
{

    use Helpers;

    protected $sysLogRepository = null;

    public function __construct(SysLogRepository $sysLogRepository)
    {
       $this->sysLogRepository = $sysLogRepository;
    }


    public function addSysLog($request)
    {
        $requestContent = [];
        $requestContent['content'] = $request->all();
        //$requestContent['ip'] = $request->ip();
        //$requestContent['path'] = $request->url();

    }
}
